## org.springframework.core.enums
Class AbstractLabeledEnum

    java.lang.Object
      org.springframework.core.enums.AbstractLabeledEnum

All Implemented Interfaces:
  Serializable, Comparable, LabeledEnum

Direct Known Subclasses:
  AbstractGenericLabeledEnum, StaticLabeledEnum

    public abstract class AbstractLabeledEnum

extends Object
implements LabeledEnum

Abstract base superclass for LabeledEnum implementations.

Since:
  1.2.2
Author:
  Keith Donald, Juergen Hoeller, Sam Brannen
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.springframework.core.enums.LabeledEnum
`CODE_ORDER, DEFAULT_ORDER, LABEL_ORDER`

Constructor Summary
`protected` `AbstractLabeledEnum()` Create a new AbstractLabeledEnum instance.

Method Summary
`int` `compareTo(Object obj)`
`boolean` `equals(Object obj)`
`Class` `getType()` Return this enumeration's type.
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.core.enums.LabeledEnum
`getCode, getLabel`

Constructor Detail

### AbstractLabeledEnum

    protected AbstractLabeledEnum()

  Create a new AbstractLabeledEnum instance.

Method Detail

### getType

    public Class getType()

  Description copied from interface: `LabeledEnum`
  Return this enumeration's type.

  Specified by:
    `getType` in interface `LabeledEnum`

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `Comparable`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2002-2008 The Spring Framework.